<!DOCTYPE html>
<html >
<head>
    <meta charset="UTF-8">
    <title>Document</title>
</head>
<body>
    <script>
        'use strict';
       
        let FirstName;
        let age;
                
    do {FirstName= prompt("what is your name?",);}
        while ( FirstName =="");
        
             
    do{ age = prompt ("How old are you?", "enter only the number");
      }
         while (Boolean(+age)==false);  // проводит проверку на введенные данные. пропускает только цифры
            
      if (age<18) {
                    alert ("You are not allowed to visit this website.");
                   }
            else if (age >17 && age<=22) {
                 if( confirm ("Are you sure you want to continue?")) {
                     alert("Welcome," +FirstName)
                            }
            else{
                    alert("You are not allowed to visit this website.");
                    }
                    }
            else if (age>22) {alert("Welcome," +FirstName)}
            
    
    </script>
    
</body>
</html>
